# $Revision: 1.2 $, $Date: 2002/08/27 22:37:24 $
#
# Conditional build:
# _without_tests - do not perform "make test"
%include	/usr/lib/rpm/macros.perl
%define	pdir	String
%define	pnam	Substrings
Summary:	String::Substrings - module to extract some/all substrings from a string
Summary(pl):	String::Substrings - modu do wycigania czci/wszystkich podcigw z cigu
Name:		perl-String-Substrings
Version:	0.02
Release:	2
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
%if %{?_without_tests:0}%{!?_without_tests:1}
BuildRequires:	perl-String-Random
BuildRequires:	perl-Test-Differences
BuildRequires:	perl-Test-Exception
BuildRequires:	perl-Test-ManyParams
BuildRequires:	perl-Test-Simple
%endif
BuildRequires:	rpm-perlprov >= 3.0.3-26
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module has only one method substrings. It is called as
substrings STRING [,LENGTH]. Without a length specification, it
returns all substrings with a length of 1 or greater including the
string itselfs. The substrings returned are sorted for the length
(starting with length 1) and for their index. E.g. substrings "abc"
returns ("a","b","c","ab","bc","abc"). This order is guaranteed to
stay even in future versions. That also includes that the returned
list of substrings needn't be unique. E.g. substrings "aaa" returns
("a","a","a","aa","aa","aaa").

%description -l pl
Ten modu ma tylko jedn metod - substrings. Wywouje si j jako
substrings CIG [,DUGO]. Bez podanej dugoci, zwraca wszystkie
podcigi o dugoci 1 lub wikszej, wcznie z caym cigiem. Zwracane
podcigi s posortowane po dugoci (poczwszy od 1) i po indeksie.
Np. substrings "abc" zwraca ("a","b","c","ab","bc","abc").
Gwarantowane jest zachowanie kolejnoci w przyszych wersjach.
Zwracana lista podcigw nie musi by unikalna. Np. substrings "aaa"
zwraca ("a","a","a","aa","aa","aaa").

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_sitelib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-String-Substrings.spec,v $
Revision 1.2  2002/08/27 22:37:24  qboosh
- pl description, release 2

Revision 1.1  2002/08/25 15:20:33  radek
- new, STBR
